#
class beanstalkd::params {

  $listen_addr      = '127.0.0.1'
  $listen_port      = '11300'
  $enable_binlog    = false
  $package_ensure   = 'present'
  $service_ensure   = 'running'
  $service_enable   = true
  $max_job_size     = '65535'

  case $facts['os']['family'] {
    'Debian': {
      $service_start_yes = true
      $daemon_options    = true
      $binlog_directory = '/var/lib/beanstalkd'
      $config           = '/etc/default/beanstalkd'
      $config_template  = 'beanstalkd/beanstalkd.debian.erb'
      $package_name     = 'beanstalkd'
      $user             = 'beanstalkd'
      $group            = 'beanstalkd'
    }
    'RedHat': {
      case $::operatingsystemmajrelease {
        '5', '6': {
          $config_template  = 'beanstalkd/beanstalkd.redhat-6.erb'
        }
        '7': {
          $config_template  = 'beanstalkd/beanstalkd.redhat-7.erb'
        }
        default: {
          fail("The ${module_name} module is not supported on ${facts['os']['family']}")
        }
      }
      $binlog_directory = '/var/lib/beanstalkd/binlog'
      $config           = '/etc/sysconfig/beanstalkd'
      $package_name     = 'beanstalkd'
      $user             = 'beanstalkd'
      $group            = 'beanstalkd'
    }
    default: {
      fail("The ${module_name} module is not supported on a ${facts['os']['family']} distribution.")
    }
  }

}
