# dpi_pcap_dumper service module
# http://taiga.space.team/project/admin-bazalt/task/25336
# todo: через prune-dpi_pcap_dumper.sh скрипт мы логируем удаление unit,
#  но через systemd::unit_file не логируем факт появления (как?, notify ?)
class dpi_pcap_dumper (
  String                $app_bin   = '/usr/local/bin/dumper',
  Hash[String,Hash]     $files     = {},
  Hash[String[1], Hash] $instances = {},
  Boolean               $sentry    = false,
  Optional[String]      $sentrydsn = undef,
) inherits dpi_pcap_dumper::params {

  $file_defaults = {
    owner => 0,
    group => 0,
    mode  => '0755',
  }

  create_resources(file, $files, $file_defaults)

  $instances.each | String $key, Hash $values | {
    dpi_pcap_dumper::instance { $key:
      app_bin => $app_bin,
      *       => $values,
    }
  }

  exec { 'prune-dpi_pcap_dumper.sh':
    provider    => shell,
    command     => '/bin/sh /tmp/prune-dpi_pcap_dumper.sh',
    logoutput   => 'on_failure',
    refreshonly => true,
  } 
# есть ли смысл удалять? лишний refresh каждый раз.
# -> exec { 'remove_prune-dpi_pcap_dumper.sh':
#      command  => '/bin/rm /tmp/prune-dpi_pcap_dumper.sh',
#  }

  file { "/tmp/prune-dpi_pcap_dumper.sh":
    ensure  => 'file',
    owner   => 0,
    group   => 0,
    mode    => '0400',
    content => template("${module_name}/prune-dpi_pcap_dumper.sh.erb"),
    notify  => Exec['prune-dpi_pcap_dumper.sh']
  }
}
