#
define dpi_pcap_dumper::instance (
  String         $args             = undef,
  String         $app_bin          = '/usr/local/bin/dumper',
  Boolean        $active           = false,
  Boolean        $enable           = false,
  Optional[Hash] $config           = undef,
  Boolean        $target_node      = undef,
  Integer        $exit_code        = undef,
) {

  systemd::unit_file { "dpi_pcap_dumper-${name}.service":
    ensure  => 'present',
    active  => $active,
    enable  => $enable,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => epp(
      "${module_name}/dpi_pcap_dumper@.service.epp",
      {
        args    => $args,
        app_bin => $app_bin,
        name    => $name,
      }
    ),
  } ->
    service { "dpi_pcap_dumper-${name}":
      ensure     => $active,
      enable     => $enable,
      hasrestart => true,
      hasstatus  => true,
      provider   => systemd,
    }


}
