# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Defined types**

* [`etc_services`](#etc_services): Manage a /etc/services entry uniquely identified by its name and protocol.

## Defined types

### etc_services

Copyright (c) IN2P3 Computing Centre, IN2P3, CNRS

Contributor(s) : Remi Ferrand <remi.ferrand_at_cc(dot)in2p3(dot)fr>
                 Phil DeMonaco <phil_at_demona(dot)co>

#### Parameters

The following parameters are available in the `etc_services` defined type.

##### `service_name`

Data type: `String`

The name of the service in /etc/services. This is a namevar...
Note that it should comply with the syntax laid out in
[RFC 6335 Section 5.1](https://tools.ietf.org/html/rfc6335#section-5.1)

Default value: $name

##### `enforce_syntax`

Data type: `Boolean`

When set to true the syntax rules from RFC 6335 are enforced.

Default value: `true`

##### `protocols`

Data type: `Etc_services::Protocols`

A hash mapping one or more protocols to their associated ports. This is
mandatory.

##### `comment`

Data type: `String`

An optional comment to be appended to the end of each port/protocol
specific line in /etc/services.

Default value: ''

##### `aliases`

Data type: `Array[String]`

An optional array of aliases which will be included for each port/protocol
combination in /etc/services.

Default value: []

##### `ensure`

Data type: `Enum['absent','present']`

Should the corresponding /etc/services entry/entries be present or absent?

Default value: 'present'

