# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`logrotate`](#logrotate)
* [`logrotate::config`](#logrotate--config): logrotate config
* [`logrotate::defaults`](#logrotate--defaults): apply defaults
* [`logrotate::hourly`](#logrotate--hourly): Internal: Configure a host for hourly logrotate jobs.  ensure - The desired state of hourly logrotate support.  Valid values are          'ab
* [`logrotate::install`](#logrotate--install): make sure logrotate is installed
* [`logrotate::params`](#logrotate--params): == Class: logrotate::params  Params class for logrotate module
* [`logrotate::rules`](#logrotate--rules): apply user-defined rules

### Defined types

* [`logrotate::conf`](#logrotate--conf): Internal: Install and configure logrotate defaults file, usually   /etc/logrotate.conf  see logrotate::Conf for description of options.  Exam
* [`logrotate::cron`](#logrotate--cron)
* [`logrotate::rule`](#logrotate--rule): Public: Configure logrotate to rotate a logfile.  namevar         - The String name of the rule. path            - The path String to the log

### Data types

* [`Logrotate::Commands`](#Logrotate--Commands)
* [`Logrotate::Every`](#Logrotate--Every)
* [`Logrotate::Path`](#Logrotate--Path)
* [`Logrotate::Size`](#Logrotate--Size)

## Classes

### <a name="logrotate"></a>`logrotate`

The logrotate class.

#### Parameters

The following parameters are available in the `logrotate` class:

* [`ensure`](#-logrotate--ensure)
* [`hieramerge`](#-logrotate--hieramerge)
* [`manage_cron_daily`](#-logrotate--manage_cron_daily)
* [`manage_cron_hourly`](#-logrotate--manage_cron_hourly)
* [`ensure_cron_daily`](#-logrotate--ensure_cron_daily)
* [`ensure_cron_hourly`](#-logrotate--ensure_cron_hourly)
* [`manage_systemd_timer`](#-logrotate--manage_systemd_timer)
* [`ensure_systemd_timer`](#-logrotate--ensure_systemd_timer)
* [`create_base_rules`](#-logrotate--create_base_rules)
* [`purge_configdir`](#-logrotate--purge_configdir)
* [`package`](#-logrotate--package)
* [`rules`](#-logrotate--rules)
* [`config`](#-logrotate--config)
* [`cron_daily_hour`](#-logrotate--cron_daily_hour)
* [`cron_daily_minute`](#-logrotate--cron_daily_minute)
* [`cron_hourly_minute`](#-logrotate--cron_hourly_minute)
* [`cron_file_mode`](#-logrotate--cron_file_mode)
* [`configdir`](#-logrotate--configdir)
* [`logrotate_bin`](#-logrotate--logrotate_bin)
* [`logrotate_conf`](#-logrotate--logrotate_conf)
* [`logrotate_conf_mode`](#-logrotate--logrotate_conf_mode)
* [`manage_package`](#-logrotate--manage_package)
* [`rules_configdir`](#-logrotate--rules_configdir)
* [`rules_configdir_mode`](#-logrotate--rules_configdir_mode)
* [`root_user`](#-logrotate--root_user)
* [`root_group`](#-logrotate--root_group)
* [`logrotate_args`](#-logrotate--logrotate_args)
* [`cron_always_output`](#-logrotate--cron_always_output)

##### <a name="-logrotate--ensure"></a>`ensure`

Data type: `String`



Default value: `present`

##### <a name="-logrotate--hieramerge"></a>`hieramerge`

Data type: `Boolean`



Default value: `false`

##### <a name="-logrotate--manage_cron_daily"></a>`manage_cron_daily`

Data type: `Boolean`



Default value: `true`

##### <a name="-logrotate--manage_cron_hourly"></a>`manage_cron_hourly`

Data type: `Boolean`



Default value: `true`

##### <a name="-logrotate--ensure_cron_daily"></a>`ensure_cron_daily`

Data type: `Enum[present,absent]`



Default value: `'present'`

##### <a name="-logrotate--ensure_cron_hourly"></a>`ensure_cron_hourly`

Data type: `Enum[present,absent]`



Default value: `'present'`

##### <a name="-logrotate--manage_systemd_timer"></a>`manage_systemd_timer`

Data type: `Boolean`



Default value: `false`

##### <a name="-logrotate--ensure_systemd_timer"></a>`ensure_systemd_timer`

Data type: `Enum[present,absent]`



Default value: `'absent'`

##### <a name="-logrotate--create_base_rules"></a>`create_base_rules`

Data type: `Boolean`



Default value: `true`

##### <a name="-logrotate--purge_configdir"></a>`purge_configdir`

Data type: `Boolean`



Default value: `false`

##### <a name="-logrotate--package"></a>`package`

Data type: `String`



Default value: `'logrotate'`

##### <a name="-logrotate--rules"></a>`rules`

Data type: `Hash`



Default value: `{}`

##### <a name="-logrotate--config"></a>`config`

Data type: `Optional[Hash]`



Default value: `undef`

##### <a name="-logrotate--cron_daily_hour"></a>`cron_daily_hour`

Data type: `Integer[0,23]`



Default value: `$logrotate::params::cron_daily_hour`

##### <a name="-logrotate--cron_daily_minute"></a>`cron_daily_minute`

Data type: `Integer[0,59]`



Default value: `$logrotate::params::cron_daily_minute`

##### <a name="-logrotate--cron_hourly_minute"></a>`cron_hourly_minute`

Data type: `Integer[0,59]`



Default value: `$logrotate::params::cron_hourly_minute`

##### <a name="-logrotate--cron_file_mode"></a>`cron_file_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::cron_file_mode`

##### <a name="-logrotate--configdir"></a>`configdir`

Data type: `String`



Default value: `$logrotate::params::configdir`

##### <a name="-logrotate--logrotate_bin"></a>`logrotate_bin`

Data type: `String`



Default value: `$logrotate::params::logrotate_bin`

##### <a name="-logrotate--logrotate_conf"></a>`logrotate_conf`

Data type: `String`



Default value: `$logrotate::params::logrotate_conf`

##### <a name="-logrotate--logrotate_conf_mode"></a>`logrotate_conf_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::logrotate_conf_mode`

##### <a name="-logrotate--manage_package"></a>`manage_package`

Data type: `Boolean`



Default value: `$logrotate::params::manage_package`

##### <a name="-logrotate--rules_configdir"></a>`rules_configdir`

Data type: `String`



Default value: `$logrotate::params::rules_configdir`

##### <a name="-logrotate--rules_configdir_mode"></a>`rules_configdir_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::rules_configdir_mode`

##### <a name="-logrotate--root_user"></a>`root_user`

Data type: `String`



Default value: `$logrotate::params::root_user`

##### <a name="-logrotate--root_group"></a>`root_group`

Data type: `String`



Default value: `$logrotate::params::root_group`

##### <a name="-logrotate--logrotate_args"></a>`logrotate_args`

Data type: `Array[String[1]]`



Default value: `[]`

##### <a name="-logrotate--cron_always_output"></a>`cron_always_output`

Data type: `Boolean`



Default value: `false`

### <a name="logrotate--config"></a>`logrotate::config`

logrotate config

### <a name="logrotate--defaults"></a>`logrotate::defaults`

apply defaults

#### Parameters

The following parameters are available in the `logrotate::defaults` class:

* [`create_base_rules`](#-logrotate--defaults--create_base_rules)
* [`rules`](#-logrotate--defaults--rules)
* [`rule_default`](#-logrotate--defaults--rule_default)

##### <a name="-logrotate--defaults--create_base_rules"></a>`create_base_rules`

Data type: `Any`



Default value: `$logrotate::create_base_rules`

##### <a name="-logrotate--defaults--rules"></a>`rules`

Data type: `Any`



Default value: `$logrotate::params::base_rules`

##### <a name="-logrotate--defaults--rule_default"></a>`rule_default`

Data type: `Any`



Default value: `$logrotate::params::rule_default`

### <a name="logrotate--hourly"></a>`logrotate::hourly`

Internal: Configure a host for hourly logrotate jobs.

ensure - The desired state of hourly logrotate support.  Valid values are
         'absent' and 'present' (default: 'present').

Examples

  # Set up hourly logrotate jobs
  class { 'logrotate':
    manage_cron_hourly => true,
  }

  # Remove hourly logrotate job support
  class { 'logrotate':
    manage_cron_hourly => true,
    ensure_cron_hourly => absent,
  }

### <a name="logrotate--install"></a>`logrotate::install`

make sure logrotate is installed

### <a name="logrotate--params"></a>`logrotate::params`

== Class: logrotate::params

Params class for logrotate module

### <a name="logrotate--rules"></a>`logrotate::rules`

apply user-defined rules

#### Parameters

The following parameters are available in the `logrotate::rules` class:

* [`rules`](#-logrotate--rules--rules)

##### <a name="-logrotate--rules--rules"></a>`rules`

Data type: `Any`



Default value: `$logrotate::rules`

## Defined types

### <a name="logrotate--conf"></a>`logrotate::conf`

Internal: Install and configure logrotate defaults file, usually
  /etc/logrotate.conf

see logrotate::Conf for description of options.

Examples

  logrotate::conf{'/etc/logrotate.conf':}

#### Parameters

The following parameters are available in the `logrotate::conf` defined type:

* [`path`](#-logrotate--conf--path)
* [`ensure`](#-logrotate--conf--ensure)
* [`compress`](#-logrotate--conf--compress)
* [`compresscmd`](#-logrotate--conf--compresscmd)
* [`compressext`](#-logrotate--conf--compressext)
* [`compressoptions`](#-logrotate--conf--compressoptions)
* [`copy`](#-logrotate--conf--copy)
* [`copytruncate`](#-logrotate--conf--copytruncate)
* [`create`](#-logrotate--conf--create)
* [`create_mode`](#-logrotate--conf--create_mode)
* [`create_owner`](#-logrotate--conf--create_owner)
* [`create_group`](#-logrotate--conf--create_group)
* [`dateext`](#-logrotate--conf--dateext)
* [`dateformat`](#-logrotate--conf--dateformat)
* [`dateyesterday`](#-logrotate--conf--dateyesterday)
* [`delaycompress`](#-logrotate--conf--delaycompress)
* [`extension`](#-logrotate--conf--extension)
* [`ifempty`](#-logrotate--conf--ifempty)
* [`mail`](#-logrotate--conf--mail)
* [`mail_when`](#-logrotate--conf--mail_when)
* [`maxage`](#-logrotate--conf--maxage)
* [`minsize`](#-logrotate--conf--minsize)
* [`maxsize`](#-logrotate--conf--maxsize)
* [`missingok`](#-logrotate--conf--missingok)
* [`olddir`](#-logrotate--conf--olddir)
* [`postrotate`](#-logrotate--conf--postrotate)
* [`prerotate`](#-logrotate--conf--prerotate)
* [`firstaction`](#-logrotate--conf--firstaction)
* [`lastaction`](#-logrotate--conf--lastaction)
* [`rotate`](#-logrotate--conf--rotate)
* [`rotate_every`](#-logrotate--conf--rotate_every)
* [`size`](#-logrotate--conf--size)
* [`sharedscripts`](#-logrotate--conf--sharedscripts)
* [`shred`](#-logrotate--conf--shred)
* [`shredcycles`](#-logrotate--conf--shredcycles)
* [`start`](#-logrotate--conf--start)
* [`su`](#-logrotate--conf--su)
* [`su_user`](#-logrotate--conf--su_user)
* [`su_group`](#-logrotate--conf--su_group)
* [`uncompresscmd`](#-logrotate--conf--uncompresscmd)

##### <a name="-logrotate--conf--path"></a>`path`

Data type: `Stdlib::Unixpath`



Default value: `$name`

##### <a name="-logrotate--conf--ensure"></a>`ensure`

Data type: `Enum['absent','present']`



Default value: `'present'`

##### <a name="-logrotate--conf--compress"></a>`compress`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--compresscmd"></a>`compresscmd`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--compressext"></a>`compressext`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--compressoptions"></a>`compressoptions`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--copy"></a>`copy`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--copytruncate"></a>`copytruncate`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--create"></a>`create`

Data type: `Boolean`



Default value: `true`

##### <a name="-logrotate--conf--create_mode"></a>`create_mode`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--create_owner"></a>`create_owner`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--create_group"></a>`create_group`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--dateext"></a>`dateext`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--dateformat"></a>`dateformat`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--dateyesterday"></a>`dateyesterday`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--delaycompress"></a>`delaycompress`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--extension"></a>`extension`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--ifempty"></a>`ifempty`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--mail"></a>`mail`

Data type: `Optional[Variant[String,Boolean]]`



Default value: `undef`

##### <a name="-logrotate--conf--mail_when"></a>`mail_when`

Data type: `Optional[Enum['mailfirst', 'maillast']]`



Default value: `undef`

##### <a name="-logrotate--conf--maxage"></a>`maxage`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--conf--minsize"></a>`minsize`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--conf--maxsize"></a>`maxsize`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--conf--missingok"></a>`missingok`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--olddir"></a>`olddir`

Data type: `Optional[Variant[Boolean,String]]`



Default value: `undef`

##### <a name="-logrotate--conf--postrotate"></a>`postrotate`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--prerotate"></a>`prerotate`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--firstaction"></a>`firstaction`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--lastaction"></a>`lastaction`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--conf--rotate"></a>`rotate`

Data type: `Integer`



Default value: `4`

##### <a name="-logrotate--conf--rotate_every"></a>`rotate_every`

Data type: `Logrotate::Every`



Default value: `'weekly'`

##### <a name="-logrotate--conf--size"></a>`size`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--conf--sharedscripts"></a>`sharedscripts`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--shred"></a>`shred`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--conf--shredcycles"></a>`shredcycles`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--conf--start"></a>`start`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--conf--su"></a>`su`

Data type: `Boolean`



Default value: `false`

##### <a name="-logrotate--conf--su_user"></a>`su_user`

Data type: `String`



Default value: `'root'`

##### <a name="-logrotate--conf--su_group"></a>`su_group`

Data type: `String`



Default value: `'root'`

##### <a name="-logrotate--conf--uncompresscmd"></a>`uncompresscmd`

Data type: `Optional[String]`



Default value: `undef`

### <a name="logrotate--cron"></a>`logrotate::cron`

The logrotate::cron class.

#### Parameters

The following parameters are available in the `logrotate::cron` defined type:

* [`ensure`](#-logrotate--cron--ensure)

##### <a name="-logrotate--cron--ensure"></a>`ensure`

Data type: `Any`



Default value: `'present'`

### <a name="logrotate--rule"></a>`logrotate::rule`

Public: Configure logrotate to rotate a logfile.

namevar         - The String name of the rule.
path            - The path String to the logfile(s) to be rotated.
ensure          - The desired state of the logrotate rule as a String.  Valid
                  values are 'absent' and 'present' (default: 'present').
compress        - A Boolean value specifying whether the rotated logs should
                  be compressed (optional).
compresscmd     - The command String that should be executed to compress the
                  rotated logs (optional).
compressext     - The extention String to be appended to the rotated log files
                  after they have been compressed (optional).
compressoptions - A String of command line options to be passed to the
                  compression program specified in `compresscmd` (optional).
copy            - A Boolean specifying whether logrotate should just take a
                  copy of the log file and not touch the original (optional).
copytruncate    - A Boolean specifying whether logrotate should truncate the
                  original log file after taking a copy (optional).
create          - A Boolean specifying whether logrotate should create a new
                  log file immediately after rotation (optional).
create_mode     - An octal mode String logrotate should apply to the newly
                  created log file if create => true (optional).
create_owner    - A username String that logrotate should set the owner of the
                  newly created log file to if create => true (optional).
create_group    - A String group name that logrotate should apply to the newly
                  created log file if create => true (optional).
dateext         - A Boolean specifying whether rotated log files should be
                  archived by adding a date extension rather just a number
                  (optional).
dateformat      - The format String to be used for `dateext` (optional).
                  Valid specifiers are '%Y', '%m', '%d' and '%s'.
dateyesterday   - A Boolean specifying whether to use yesterday's date instead
                  of today's date to create the `dateext` extension (optional).
delaycompress   - A Boolean specifying whether compression of the rotated
                  log file should be delayed until the next logrotate run
                  (optional).
extension       - Log files with this extension String are allowed to keep it
                  after rotation (optional).
ifempty         - A Boolean specifying whether the log file should be rotated
                  even if it is empty (optional).
mail            - The email address String that logs that are about to be
                  rotated out of existence are emailed to (optional).
mailfirst       - A Boolean that when used with `mail` has logrotate email the
                  just rotated file rather than the about to expire file
                  (optional).
maillast        - A Boolean that when used with `mail` has logrotate email the
                  about to expire file rather than the just rotated file
                  (optional).
maxage          - The Integer maximum number of days that a rotated log file
                  can stay on the system (optional).
minsize         - The String minimum size a log file must be to be rotated,
                  but not before the scheduled rotation time (optional).
                  The default units are bytes, append k, M or G for kilobytes,
                  megabytes and gigabytes respectively.
maxsize         - The String maximum size a log file may be to be rotated;
                  When maxsize is used, both the size and timestamp of a log
                  file are considered for rotation.
                  The default units are bytes, append k, M or G for kilobytes,
                  megabytes and gigabytes respectively.
missingok       - A Boolean specifying whether logrotate should ignore missing
                  log files or issue an error (optional).
olddir          - A String path to a directory that rotated logs should be
                  moved to (optional).
postrotate      - A command String or an Array of Strings that should be
                  executed by /bin/sh after the log file is rotated
                  optional).
prerotate       - A command String or an Array of Strings that should be
                  executed by /bin/sh before the log file is rotated and
                  only if it will be rotated (optional).
firstaction     - A command String or an Array of Strings that should be
                  executed by /bin/sh once before all log files that match
                  the wildcard pattern are rotated (optional).
lastaction      - A command String or an Array of Strings that should be
                  executed by /bin/sh once after all the log files that match
                  the wildcard pattern are rotated (optional).
rotate          - The Integer number of rotated log files to keep on disk
                  (optional).
rotate_every    - How often the log files should be rotated as a String.
                  Valid values are 'day', 'week', 'month' and 'year'
                  (optional).
size            - The String size a log file has to reach before it will be
                  rotated (optional).  The default units are bytes, append k,
                  M or G for kilobytes, megabytes or gigabytes respectively.
sharedscripts   - A Boolean specifying whether logrotate should run the
                  postrotate and prerotate scripts for each matching file or
                  just once (optional).
shred           - A Boolean specifying whether logs should be deleted with
                  shred instead of unlink (optional).
shredcycles     - The Integer number of times shred should overwrite log files
                  before unlinking them (optional).
start           - The Integer number to be used as the base for the extensions
                  appended to the rotated log files (optional).
su              - A Boolean specifying whether logrotate should rotate under
                  the specific su_user and su_group instead of the default.
                  First available in logrotate 3.8.0.
su_user         - A String username that logrotate should use to rotate a
                  log file set instead of using the default if
                  su => true (optional)
su_group        - A String group name that logrotate should use to rotate a
                  log file set instead of using the default if
                  su => true (optional).
uncompresscmd   - The String command to be used to uncompress log files
                  (optional).
custom_cfg      - Array of custom lines to be appended to the rules

Examples

  # Rotate /var/log/syslog daily and keep 7 days worth of compressed logs.
  logrotate::rule { 'messages':
    path         => '/var/log/messages',
    copytruncate => true,
    missingok    => true,
    rotate_every => 'day',
    rotate       => 7,
    compress     => true,
    ifempty      => true,
  }

  # Rotate /var/log/nginx/access_log weekly and keep 3 weeks of logs
  logrotate::rule { 'nginx_access_log':
    path         => '/var/log/nginx/access_log',
    missingok    => true,
    rotate_every => 'week',
    rotate       => 3,
    postrotate   => '/etc/init.d/nginx restart',
  }

#### Parameters

The following parameters are available in the `logrotate::rule` defined type:

* [`rulename`](#-logrotate--rule--rulename)
* [`ensure`](#-logrotate--rule--ensure)
* [`custom_cfg`](#-logrotate--rule--custom_cfg)
* [`path`](#-logrotate--rule--path)
* [`compress`](#-logrotate--rule--compress)
* [`compresscmd`](#-logrotate--rule--compresscmd)
* [`compressext`](#-logrotate--rule--compressext)
* [`compressoptions`](#-logrotate--rule--compressoptions)
* [`copy`](#-logrotate--rule--copy)
* [`copytruncate`](#-logrotate--rule--copytruncate)
* [`create`](#-logrotate--rule--create)
* [`create_mode`](#-logrotate--rule--create_mode)
* [`create_owner`](#-logrotate--rule--create_owner)
* [`create_group`](#-logrotate--rule--create_group)
* [`dateext`](#-logrotate--rule--dateext)
* [`dateformat`](#-logrotate--rule--dateformat)
* [`dateyesterday`](#-logrotate--rule--dateyesterday)
* [`delaycompress`](#-logrotate--rule--delaycompress)
* [`extension`](#-logrotate--rule--extension)
* [`ifempty`](#-logrotate--rule--ifempty)
* [`mail`](#-logrotate--rule--mail)
* [`mail_when`](#-logrotate--rule--mail_when)
* [`maxage`](#-logrotate--rule--maxage)
* [`minsize`](#-logrotate--rule--minsize)
* [`maxsize`](#-logrotate--rule--maxsize)
* [`missingok`](#-logrotate--rule--missingok)
* [`olddir`](#-logrotate--rule--olddir)
* [`postrotate`](#-logrotate--rule--postrotate)
* [`prerotate`](#-logrotate--rule--prerotate)
* [`firstaction`](#-logrotate--rule--firstaction)
* [`lastaction`](#-logrotate--rule--lastaction)
* [`rotate`](#-logrotate--rule--rotate)
* [`rotate_every`](#-logrotate--rule--rotate_every)
* [`size`](#-logrotate--rule--size)
* [`sharedscripts`](#-logrotate--rule--sharedscripts)
* [`shred`](#-logrotate--rule--shred)
* [`shredcycles`](#-logrotate--rule--shredcycles)
* [`start`](#-logrotate--rule--start)
* [`su`](#-logrotate--rule--su)
* [`su_user`](#-logrotate--rule--su_user)
* [`su_group`](#-logrotate--rule--su_group)
* [`uncompresscmd`](#-logrotate--rule--uncompresscmd)

##### <a name="-logrotate--rule--rulename"></a>`rulename`

Data type: `Pattern[/^[a-zA-Z0-9\._-]+$/]`



Default value: `$title`

##### <a name="-logrotate--rule--ensure"></a>`ensure`

Data type: `Enum['present','absent']`



Default value: `'present'`

##### <a name="-logrotate--rule--custom_cfg"></a>`custom_cfg`

Data type: `Array[String[1]]`



Default value: `[]`

##### <a name="-logrotate--rule--path"></a>`path`

Data type: `Optional[Logrotate::Path]`



Default value: `undef`

##### <a name="-logrotate--rule--compress"></a>`compress`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--compresscmd"></a>`compresscmd`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--compressext"></a>`compressext`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--compressoptions"></a>`compressoptions`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--copy"></a>`copy`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--copytruncate"></a>`copytruncate`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--create"></a>`create`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--create_mode"></a>`create_mode`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--create_owner"></a>`create_owner`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--create_group"></a>`create_group`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--dateext"></a>`dateext`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--dateformat"></a>`dateformat`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--dateyesterday"></a>`dateyesterday`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--delaycompress"></a>`delaycompress`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--extension"></a>`extension`

Data type: `Optional[String]`



Default value: `undef`

##### <a name="-logrotate--rule--ifempty"></a>`ifempty`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--mail"></a>`mail`

Data type: `Optional[Variant[String,Boolean]]`



Default value: `undef`

##### <a name="-logrotate--rule--mail_when"></a>`mail_when`

Data type: `Optional[Enum['mailfirst','maillast']]`



Default value: `undef`

##### <a name="-logrotate--rule--maxage"></a>`maxage`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--rule--minsize"></a>`minsize`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--rule--maxsize"></a>`maxsize`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--rule--missingok"></a>`missingok`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--olddir"></a>`olddir`

Data type: `Optional[Variant[Boolean,String]]`



Default value: `undef`

##### <a name="-logrotate--rule--postrotate"></a>`postrotate`

Data type: `Optional[Logrotate::Commands]`



Default value: `undef`

##### <a name="-logrotate--rule--prerotate"></a>`prerotate`

Data type: `Optional[Logrotate::Commands]`



Default value: `undef`

##### <a name="-logrotate--rule--firstaction"></a>`firstaction`

Data type: `Optional[Logrotate::Commands]`



Default value: `undef`

##### <a name="-logrotate--rule--lastaction"></a>`lastaction`

Data type: `Optional[Logrotate::Commands]`



Default value: `undef`

##### <a name="-logrotate--rule--rotate"></a>`rotate`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--rule--rotate_every"></a>`rotate_every`

Data type: `Optional[Logrotate::Every]`



Default value: `undef`

##### <a name="-logrotate--rule--size"></a>`size`

Data type: `Optional[Logrotate::Size]`



Default value: `undef`

##### <a name="-logrotate--rule--sharedscripts"></a>`sharedscripts`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--shred"></a>`shred`

Data type: `Optional[Boolean]`



Default value: `undef`

##### <a name="-logrotate--rule--shredcycles"></a>`shredcycles`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--rule--start"></a>`start`

Data type: `Optional[Integer]`



Default value: `undef`

##### <a name="-logrotate--rule--su"></a>`su`

Data type: `Boolean`



Default value: `false`

##### <a name="-logrotate--rule--su_user"></a>`su_user`

Data type: `String`



Default value: `'root'`

##### <a name="-logrotate--rule--su_group"></a>`su_group`

Data type: `String`



Default value: `'root'`

##### <a name="-logrotate--rule--uncompresscmd"></a>`uncompresscmd`

Data type: `Optional[String]`



Default value: `undef`

## Data types

### <a name="Logrotate--Commands"></a>`Logrotate::Commands`

The Logrotate::Commands data type.

Alias of `Variant[String, Array[String]]`

### <a name="Logrotate--Every"></a>`Logrotate::Every`

The Logrotate::Every data type.

Alias of `Pattern['^hour(|ly)$', '^da(|il)y$', '^week(|ly)$', '^month(|ly)$', '^year(|ly)$']`

### <a name="Logrotate--Path"></a>`Logrotate::Path`

The Logrotate::Path data type.

Alias of `Variant[Stdlib::UnixPath, Array[Stdlib::UnixPath]]`

### <a name="Logrotate--Size"></a>`Logrotate::Size`

The Logrotate::Size data type.

Alias of `Variant[Integer, Pattern[/^\d+[kMG]?$/]]`

