class postgres_exporter (
    Optional[String] $service_username = "postgres",
    Optional[String] $service_groupname = "postgres",
    Optional[String] $service_name = "postgres_exporter.service",
    Optional[String] $package_name = "postgres-exporter",
    Optional[String] $package_state = 'present',
){
    $veil_pgsql_db_user = lookup('veil_pgsql_db_exporter_user')
    $veil_pgsql_db_name = lookup('veil_pgsql_db_name')
    $veil_pgsql_host = lookup('veil_pgsql_host')
    $veil_pgsql_port = lookup('veil_pgbouncer_port')
    $pgsql_db_password = lookup('pgsql_db_exporter_password')
    package { $package_name:
        ensure => $package_state,
    }
    file { "/lib/systemd/system/${service_name}":
        mode    => '0644',
        owner   => 'root',
        group   => 'root',
        content => template("${module_name}/${service_name}.erb"),
        notify  => Service[$service_name],
    }~>
    exec { 'postgres_exporter-systemd-reload':
        command     => 'systemctl daemon-reload',
        path        => [ '/usr/bin', '/bin', '/usr/sbin' ],
        refreshonly => true,
    }
    service { $service_name:
        ensure   => 'running',
        enable   => true,
        provider => systemd,
    }
}
