# configure environment to install controller from .deb and dev repo
class space_controller::dirs {
  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')

  $file_defaults = {
    'ensure' => directory,
  }
  file { "/var/lib/ecp-veil/.users/veil-controller/.ssh/config":
    mode    => '0600',
    owner   => $veil_controller_user,
    group   => $veil_controller_user,
    ensure  => file,
  } ->
  file { '/var/lib/ecp-veil/controller/app/bazalt/settings_system.py':
    source  => [ "puppet:///modules/${module_name}/settings_system.py" ],
    ensure  => 'present',
    replace => 'no', # this is the important property
    mode    => '0640',
    owner   => $veil_controller_user,
    group   => $veil_global_group,
  }
}
