class space_controller_settings(
  Hash[String,Hash] $files     = {},
  Boolean           $sentry    = false,
  Optional[String]  $sentrydsn = undef,
)
{

  $veil_controller_user = lookup('veil_controller_user')
  $veil_global_group = lookup('veil_global_group')

  $file_defaults = {
     owner => $veil_controller_user,
     group => $veil_global_group,
     mode  => '0755',
  }

  create_resources(file, $files, $file_defaults)

  $veil_env = lookup('veil_env')
  $veil_controller_sys_user_plain_password = lookup('veil_controller_sys_user_plain_password')
  $veil_ui_user_default = lookup('veil_ui_user_default')
  $ui_plain_password_default = lookup('ui_plain_password_default')
  $veil_ui_user_email_default = lookup('veil_ui_user_email_default')
  $veil_pgsql_db_user = lookup('veil_pgsql_db_user')
  $veil_pgsql_db_name = lookup('veil_pgsql_db_name')
  $veil_pgsql_port = lookup('veil_pgsql_port')
  $veil_pgbouncer_port = lookup('veil_pgbouncer_port')
  $pgsql_db_password = lookup('pgsql_db_password')
  $redis_db_password = lookup('redis_db_password')
  $veil_upgrade_mass = lookup('veil_upgrade_mass')
  $secret_key = lookup('space_controller_settings::secret_key')
  $veil_pgsql_db_search_user = lookup('veil_pgsql_db_search_user')
  $pgsql_db_search_password = lookup('pgsql_db_search_password')

#OEM = "<%= @oem %>"
#OEM_FULL = "<%= @oem_full %>"
#OEM_SITE = "<%= @oem_site %>"


#  file { "/var/log/veil/controller/settings_local.py":
#    ensure  => present,
#    content => template("$module_name/settings_local.py.erb"),
#  }

#  exec { 'controller_obfuscate':
#    command => "/var/lib/ecp-veil/controller/env/bin/pyarmor obfuscate --exact /var/log/veil/controller/settings_local.py --output /var/lib/ecp-veil/controller/app/bazalt --bootstrap 3",
#    onlyif  => "test -f /var/log/veil/controller/settings_local.py",
#  }

#  if $is_controller_media == '1' {
#      exec { 'controller_cli_obfuscate':
#        command => "/var/lib/ecp-veil/cli/env/bin/pyarmor obfuscate --exact /var/log/veil/controller/settings_local.py --output /var/lib/ecp-veil/cli/app",
#        onlyif  => "test -f /var/log/veil/controller/settings_local.py",
#        path    =>  ["/usr/bin","/usr/sbin", "/bin"],
#      }
#  }

  $controller_redis_db_host = lookup('controller_redis_db_host')
  $controller_postgres_db_host = lookup('controller_postgres_db_host')


  file { "/etc/veil/controller/controller.conf":
    ensure  => present,
    mode    => '0644',
    owner   => $veil_controller_user,
    group   => $veil_global_group,
    content => template("$module_name/controller.conf.erb"),
  }


  file { "/var/lib/ecp-veil/controller/app/bazalt/settings_local.py":
    ensure  => present,
    mode    => '0644',
    owner   => $veil_controller_user,
    group   => $veil_global_group,
    content => template("$module_name/settings_local.py.erb"),
  }

#  tidy { 'controller_tmp_settings_local.py':
#    path => '/var/log/veil/controller/settings_local.py'
#  }

   file { "/var/lib/ecp-veil/controller/other/ctr_init_finalize":
    source => [ "puppet:///modules/${module_name}/ctr_init_finalize" ],
    owner  => 'root',
    group  => 'root',
    mode   => '0555',
   }

#   file { "/var/lib/ecp-veil/controller/other/regenerate_system_token":
#    source => [ "puppet:///modules/${module_name}/regenerate_system_token" ],
#    owner  => 'root',
#    group  => 'root',
#    mode   => '0555',
#   }

  file { '/var/lib/ecp-veil/controller/other/regenerate_system_token':
    ensure  => present,
    content => template("${module_name}/regenerate_system_token.erb"),
    mode    => '0550',
  }

  exec {"systemctl is-active --quiet controller-supervisor.service && systemctl restart controller-supervisor.service || true":
    subscribe   => File['/var/lib/ecp-veil/controller/app/bazalt/settings_local.py'],
    refreshonly => true,
  }

  exec {"systemctl is-active --quiet gunicorn-django.service && systemctl restart gunicorn-django.service || true":
    subscribe   => File['/var/lib/ecp-veil/controller/app/bazalt/settings_local.py'],
    refreshonly => true,
  }

  exec {"systemctl is-active --quiet daphne-django.service && systemctl restart daphne-django.service || true":
    subscribe   => File['/var/lib/ecp-veil/controller/app/bazalt/settings_local.py'],
    refreshonly => true,
  }

  exec {"systemctl is-active --quiet gunicorn-proxy.service && systemctl restart gunicorn-proxy.service || true":
    subscribe   => File['/var/lib/ecp-veil/controller/app/bazalt/settings_local.py'],
    refreshonly => true,
  }
}
