# install cli
class space_fg(
  Hash[String,Hash] $packages = {},
  Optional[Boolean] $ensure   = true,
  Optional[Boolean] $running  = false,
) {

  create_resources(package, $packages)

  $veil_global_group = lookup('veil_global_group')
  $veil_controller_user = lookup('veil_controller_user')

  $file_defaults = {
     owner => $veil_controller_user,
     group => $veil_global_group,
     mode  => '0755',
  }

  file { "/var/lib/ecp-veil/fg":
    recurse => true,
    ensure => directory,
    owner => $veil_controller_user,
    group => $veil_global_group,
  }

  file { "/lib/systemd/system/uvicorn-fg.service":
    content => template("${module_name}/uvicorn-fg.service.erb"),
    owner => 'root',
    group => 'root',
    mode  => '0644',
    notify  => Service['uvicorn-fg']
  }

  service { 'uvicorn-fg':
    ensure   => $running,
    enable   => $running,
    provider => systemd,
  }
}
