# configure environment to install node from .deb and dev repo
class space_node::lxc_conf () {
  $lxc_container_dir = lookup('space_node::lxc_container_dir')
  $lxc_container_archive = lookup('space_node::lxc_container_archive')
  $use_lxc_bridge = lookup('space_node::use_lxc_bridge')
  /*
  file { "${lxc_container_dir}":
    ensure  => directory,
    owner  => 'root',
    group  => 'root',
    mode   => '0770',
  }

  archive { "${lxc_container_archive}":
    ensure          => present,
    extract         => true,
    extract_path    => "${lxc_container_dir}",
    extract_flags   => '--numeric-owner -xzf',
    source          => "${lxc_container_archive}",
    checksum_verify => false,
    cleanup         => false,
    creates         => "${lxc_container_dir}/rootfs",
  }
  file { "/var/lib/lxc/vns-template/config":
    source => [ "puppet:///modules/${module_name}/lxc_config" ],
    owner  => 'root',
    group  => 'root',
    mode   => '0770',
  }
  */
  file { '/etc/default/lxc-net':
    ensure => 'file',
    owner => root,
    group => root,
    content => "USE_LXC_BRIDGE=\"${use_lxc_bridge}\"\n",
  }
  file { '/etc/apparmor.d/disable/lxc-containers':
    ensure => 'link',
    target => '/etc/apparmor.d/lxc-containers',
    owner => root,
    group => root,
  }
  file { '/etc/apparmor.d/disable/usr.bin.lxc-start':
    ensure => 'link',
    target => '/etc/apparmor.d/usr.bin.lxc-start',
    owner => root,
    group => root,
  }
}
