class ttyd::config inherits ttyd {

  case $facts['os']['family'] {
    'FreeBSD': {
      $config_file       = '/etc/rc.conf.d/ttyd'
      $config_tmpl       = "${module_name}/ttyd_freebsd_rcconf.erb"
      file { '/usr/local/etc/rc.d/ttyd' :
        owner   => 0,
        group   => 0,
        mode    => '0555',
        require => Package[$ttyd::package_name],
        notify  => Service[$ttyd::service_name],
        source => "puppet:///modules/${module_name}/freebsd-rc.d-ttyd",
      }
    }
    default: {
      $config_file       = undef
      $config_tmpl       = "${module_name}/ttyd_linux_systemd.erb"
      #assert_private()
      #systemd::unit_file { 'ttyd@.service':
      systemd::unit_file { 'ttyd.service':
        #content => epp("${module_name}/ttyd_linux_systemd.epp"),
        content => template($config_tmpl),
        notify  => Service[$ttyd::service_name],
      }
    }
  }





  if ( $config_file ) {
    file { $config_file :
      #ensure  => $file_ensure,
      owner   => 0,
      group   => 0,
      mode    => '0555',
      content => template($config_tmpl),
      require => Package[$ttyd::package_name],
      notify  => Service[$ttyd::service_name],
    }
  }
}
